<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array();
use Claromentis\Core\Services;
use Claromentis\People\UsersHierarchyService;







class UsersHierarchy
{
    
    
    
    
    protected static $instance;
    protected static function I()
    {
        if (!isset(self::$instance)) {
            self::$instance = Services::I()->{UsersHierarchyService::class};
        }
        return self::$instance;
    }
    
    
    
    
    
    
    
    
    
    
    public static function SetManager($user_id, $_b324f64f5346fe6cd20483e208d94430)
    {
        return self::I()->SetManager($user_id, $_b324f64f5346fe6cd20483e208d94430);
    }
    
    
    
    
    
    
    
    
    
    
    public static function SetSubordinates($user_id, $_9b25bd1f846ab3177a43069b54248349)
    {
        return self::I()->SetSubordinates($user_id, $_9b25bd1f846ab3177a43069b54248349);
    }
    
    
    
    
    
    
    
    
    
    public static function GetManager($user_id)
    {
        return self::I()->GetManager($user_id);
    }
    
    
    
    
    
    
    
    
    
    public static function GetSubordinates($user_id)
    {
        return self::I()->GetSubordinates($user_id);
    }
}